#!/usr/bin/env python

from WebStack.Adapters.BaseHTTPRequestHandler import deploy
from WebStack.Resources.LoginRedirect import LoginRedirectResource
from WebStack.Resources.OpenIDRedirect import OpenIDRedirectAuthenticator
from WebStack.Resources.OpenIDInitiation import OpenIDInitiationResource
from WebStack.Resources.ResourceMap import MapResource
from Simple import SimpleResource

app_url = "http://localhost:8080" # No trailing "/"!
initiation_url = "http://localhost:8080/login"
secret_key = "horses" # Must match the login authenticator's key.

print "Serving..."
deploy(
    MapResource({
        "simple" :
            LoginRedirectResource(
                login_url=initiation_url,
                app_url=app_url,
                resource=SimpleResource(),
                authenticator=OpenIDRedirectAuthenticator(
                    secret_key=secret_key,
                    app_url=app_url
                    ),
                anonymous_parameter_name="anonymous",
                logout_parameter_name="logout"
            ),

        # The "login" is really OpenID initiation.

        "login" : OpenIDInitiationResource()
        }),
    handle_errors=0
)

# vim: tabstop=4 expandtab shiftwidth=4
